Bug 1100973 - Review Request: drupal7-honeypot - Honeypot uses both the honeypot and timestamp methods of deterring spam bots
Summary: Review Request: drupal7-honeypot - Honeypot uses both the honeypot and timest...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-24 17:41 UTC by Peter Borsa
Modified: 2017-01-29 03:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-20 17:54:14 UTC
Type: ---
jsmith.fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Peter Borsa 2014-05-24 17:41:23 UTC
Spec URL: http://asrob.fedorapeople.org/SOURCES/drupal7-honeypot.spec
SRPM URL: http://asrob.fedorapeople.org/SOURCES/drupal7-honeypot-1.16-1.fc21.src.rpm
Description: Honeypot uses both the honeypot and timestamp methods of deterring spam bots from completing forms on your Drupal site. These methods are effective against many spam bots, and are not as intrusive as CAPTCHAs or other methods which punish the user.
Fedora Account System Username: asrob

koji url:

https://koji.fedoraproject.org/koji/taskinfo?taskID=6886949

rpmlint output:

$ rpmlint drupal7-honeypot.spec ~/Downloads/drupal7-honeypot-1.16-1.fc21.src.rpm 
drupal7-honeypot.src: W: spelling-error Summary(en_US) timestamp -> time stamp, time-stamp, times tamp
drupal7-honeypot.src: W: spelling-error %description -l en_US timestamp -> time stamp, time-stamp, times tamp
1 packages and 1 specfiles checked; 0 errors, 2 warnings.

Comment 1 Jared Smith 2014-05-27 13:56:08 UTC
Package is approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: drupal7-honeypot-1.16-1.fc21.noarch.rpm
          drupal7-honeypot-1.16-1.fc21.src.rpm
drupal7-honeypot.noarch: W: spelling-error Summary(en_US) timestamp -> time stamp, time-stamp, times tamp
drupal7-honeypot.noarch: W: spelling-error %description -l en_US timestamp -> time stamp, time-stamp, times tamp
drupal7-honeypot.noarch: W: spurious-executable-perm /usr/share/doc/drupal7-honeypot/LICENSE.txt
drupal7-honeypot.src: W: spelling-error Summary(en_US) timestamp -> time stamp, time-stamp, times tamp
drupal7-honeypot.src: W: spelling-error %description -l en_US timestamp -> time stamp, time-stamp, times tamp
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint drupal7-honeypot
drupal7-honeypot.noarch: W: spelling-error Summary(en_US) timestamp -> time stamp, time-stamp, times tamp
drupal7-honeypot.noarch: W: spelling-error %description -l en_US timestamp -> time stamp, time-stamp, times tamp
drupal7-honeypot.noarch: W: spurious-executable-perm /usr/share/doc/drupal7-honeypot/LICENSE.txt
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
drupal7-honeypot (rpmlib, GLIBC filtered):
    drupal7(core)
    php-pcre



Provides
--------
drupal7-honeypot:
    drupal7(honeypot)
    drupal7-honeypot



Source checksums
----------------
http://ftp.drupal.org/files/projects/honeypot-7.x-1.16.tar.gz :
  CHECKSUM(SHA256) this package     : 2da906c39237f6fa3de78f10bfc10302309972481262b0d0e795c2081379ceac
  CHECKSUM(SHA256) upstream package : 2da906c39237f6fa3de78f10bfc10302309972481262b0d0e795c2081379ceac


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1100973
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Peter Borsa 2014-05-28 16:14:48 UTC
New Package SCM Request
=======================
Package Name: drupal7-honeypot
Short Description: Honeypot uses both the honeypot and timestamp methods of deterring spam bots
Upstream URL: https://drupal.org/project/honeypot
Owners: asrob jsmith siwinski
Branches: f20 el6 epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-05-28 16:37:55 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2017-01-12 17:42:08 UTC
drupal7-honeypot-1.22-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5ff4608619

Comment 5 Fedora Update System 2017-01-12 17:42:15 UTC
drupal7-honeypot-1.22-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-02467410ea

Comment 6 Fedora Update System 2017-01-12 17:42:19 UTC
drupal7-honeypot-1.22-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-03d04b1d48

Comment 7 Fedora Update System 2017-01-12 17:42:25 UTC
drupal7-honeypot-1.22-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6c98374d17

Comment 8 Fedora Update System 2017-01-13 07:47:08 UTC
drupal7-honeypot-1.22-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-02467410ea

Comment 9 Fedora Update System 2017-01-13 07:48:22 UTC
drupal7-honeypot-1.22-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5ff4608619

Comment 10 Fedora Update System 2017-01-13 08:27:18 UTC
drupal7-honeypot-1.22-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6c98374d17

Comment 11 Fedora Update System 2017-01-13 08:32:42 UTC
drupal7-honeypot-1.22-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-03d04b1d48

Comment 12 Fedora Update System 2017-01-20 17:54:14 UTC
drupal7-honeypot-1.22-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-01-20 18:18:52 UTC
drupal7-honeypot-1.22-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-01-29 03:16:30 UTC
drupal7-honeypot-1.22-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-01-29 03:18:48 UTC
drupal7-honeypot-1.22-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.